XISUITEDokumentation

Board Quick Filters

5 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

Create a quick filter for a board#

POST/boards/{boardId}/quick-filtersToken

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–

Request-Bodyapplication/jsonCreateQuickFilterDto

NameTypBeschreibung
namePflichtstring

Beispiel: My Tasks

queryPflichtstring

Beispiel: assignee:me

descriptionobject–
sort_ordernumber

Beispiel: 0

is_enabledboolean

Standard: true

Beispiel: true

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"My Tasks","query":"assignee:me"}'

Update a quick filter#

PATCH/boards/{boardId}/quick-filters/{filterId}Token

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–
filterIdPflichtPfadstring–

Request-Bodyapplication/jsonUpdateQuickFilterDto

NameTypBeschreibung
namestring

Beispiel: My Tasks

querystring

Beispiel: assignee:me

descriptionobject–
sort_ordernumber

Beispiel: 0

is_enabledboolean

Beispiel: true

Antworten

  • 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters/{filterId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"My Tasks","query":"assignee:me","description":{}}'

Delete a quick filter#

DELETE/boards/{boardId}/quick-filters/{filterId}Token

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–
filterIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters/{filterId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Reorder quick filters for a board#

PUT/boards/{boardId}/quick-filters/reorderToken

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–

Request-Bodyapplication/jsonReorderQuickFiltersDto

NameTypBeschreibung
quick_filtersPflichtQuickFilterOrderItemDto[]–
quick_filters[].idPflichtstring (uuid)–
quick_filters[].sort_orderPflichtnumber

Beispiel: 0

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/quick-filters/reorder" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"quick_filters":[]}'

Set active/inactive state of a quick filter for the current user#

PUT/boards/{boardId}/user-state/quick-filters/{filterId}Token

Parameter

NameOrtTypBeschreibung
boardIdPflichtPfadstring–
filterIdPflichtPfadstring–

Request-Bodyapplication/jsonSetUserStateDto

NameTypBeschreibung
is_activePflichtboolean

Beispiel: true

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/user-state/quick-filters/{filterId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"is_active":"true"}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions